# CURSOR

## Constants Summarized

| Type                                                     | Name                               | Summary                                                        |
| -------------------------------------------------------- | ---------------------------------- | -------------------------------------------------------------- |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [DEFAULT\_CURSOR](#default_cursor) | Constant used for setting the roll over cursor for components. |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [HAND\_CURSOR](#hand_cursor)       | Constant used for setting the roll over cursor for components. |

## Constants Detailed

### DEFAULT\_CURSOR

Constant used for setting the roll over cursor for components.\
Use this for setting the roll over cursor to the default (dependent\
on the OS and the L\&F).

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
var label = form.newLabel('Move the mouse over me', 10, 10, 200, 200);
label.rolloverCursor = SM_CURSOR.DEFAULT_CURSOR;
```

### HAND\_CURSOR

Constant used for setting the roll over cursor for components.\
Use this for setting the roll over cursor to a hand.

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
var label = form.newLabel('Move the mouse over me', 10, 10, 200, 200);
label.rolloverCursor = SM_CURSOR.HAND_CURSOR;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/solutionmodel/cursor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
